Skip to main content

Delete Field

POST

https://app.smartsuite.com/api/v1/applications/[tableId]/delete_field/

Deletes a field in the specified Table (App).

Example Request

curl -X POST https://app.smartsuite.com/api/v1/applications/{tableId}/delete_field/ \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json" \
--data '{
"slug": "due_date"
}'

Path Parameters​

ParamTypeDescription
tableIdstringThe Id of the Table (App) in which to delete the field.

Request Body​

ParamTypeOptionalDescription
slugstringNoThe slug value of the field to delete.

Response​

Returns 200 OK with the updated Table object, not the deleted field. The deleted field no longer appears in the Table's structure.

200 Response
{table_object}

table object See Definition